Subject: Re: bug#63072: 28.2; CC Mode: Fix "bsd" style and add "freebsd" and "openbsd" ones

From: Olivier Certner <[email-masked]>
Date: Wed, 26 Apr 2023 09:28:17 +0200

Hi,

> If documented that these styles change to follow the corresponding
> projects, it might be okay, but do we really want to commit ourselves
> to follow them from now to eternity?  That's a non-trivial maintenance
> burden, unless the projects themselves take that up upon themselves,
> and will be submitting changes whenever their conventions change.

But I never said we would commit to that. On the contrary, what I would like 
is that the documentation says clearly that "freebsd" and "openbsd" may 
change, so that people are aware they cannot rely on these styles to always 
remain the same (contrary to the old styles). So that's rather a non-
commitment.

Additionally, these changes will be exceedingly rare, and styles will just be 
updated on a best-effort basis.

Is that OK?

-- 
Olivier Certner